
From: "Antonino A. Daplas" <adaplas@hotpop.com>

Check if cursor image has changed in intelfb

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/intelfb/intelfbdrv.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/intelfb/intelfbdrv.c~fbdev-check-if-cursor-image-has-changed-in-intelfb drivers/video/intelfb/intelfbdrv.c
--- 25/drivers/video/intelfb/intelfbdrv.c~fbdev-check-if-cursor-image-has-changed-in-intelfb	2004-10-28 19:16:42.114142496 -0700
+++ 25-akpm/drivers/video/intelfb/intelfbdrv.c	2004-10-28 19:16:42.118141888 -0700
@@ -1573,7 +1573,7 @@ intelfb_cursor(struct fb_info *info, str
 		intelfbhw_cursor_setcolor(dinfo, bg, fg);
 	}
 
-	if (cursor->set & FB_CUR_SETSHAPE) {
+	if (cursor->set & (FB_CUR_SETSHAPE & FB_CUR_SETIMAGE)) {
 		u32 s_pitch = (ROUND_UP_TO(cursor->image.width, 8) / 8);
 		u32 size = s_pitch * cursor->image.height;
 		u8 *dat = (u8 *) cursor->image.data;
_
